Package org.picocontainer.monitors

# Class LifecycleComponentMonitor.LifecycleFailuresException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.picocontainer.PicoException
org.picocontainer.monitors.LifecycleComponentMonitor.LifecycleFailuresException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `LifecycleComponentMonitor`

public final class LifecycleComponentMonitor.LifecycleFailuresException extends PicoException
Subclass of `PicoException` that is thrown when the collected lifecycle failures need to be be collectively rethrown.

Author:
  Paul Hammant, Mauro Talevi
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LifecycleFailuresException(List<RuntimeException> lifecycleFailures)`

## Method Summary

Modifier and Type
Method
Description
`Collection<RuntimeException>`
`getFailures()`
`String`
`getMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LifecycleFailuresException

public LifecycleFailuresException(List<RuntimeException> lifecycleFailures)

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

### getFailures

public Collection<RuntimeException> getFailures()